Atma Xplorer

Xploring Games, Computing, Photography

Prometheus-4 for 5.00 M33, 5.03 GEN-C and 5.50 GEN-D3

Before leaving the PSP scene, Prometheus developer Liquidzigong left everyone a parting gift in the form of the Prometheus-4 module which will allow you to play games that require 6.20 OFW and above and


Prometheus-3 for 5.00 M33, 5.03 GEN-C and 5.50 GEN-D3

For those looking to play the latest PSP games that require 6.31 OFW on your favorite custom firmware but can’t due to the new firmware requirement, Chinese hacker liquidzigong has updated his Prometheus module


Install PSP Custom Firmware 5.50 Prometheus add-on

Even with 5.50 GEN-D3 installed on your PSP, you won’t be able to play some of the newer games without proper patching or plugin to help bypass Sony’s new DRM which requires 6.20 OFW.


Install Signed 6.31 Hen PRO + Prometheus ISO loader on your PSP

Oh look, 6.31 Hen now also has a signed installer allowing you to install 6.31 Hen without running the Minna no Sukkuri demo exploit as instructed in the original post. With Liquidzigong’s release


Install Signed 6.20 TN-C Hen + Prometheus ISO loader on your PSP

Total_Noob has released an update to 6.20 TN-A (and TN-B) fixing bugs and pushing quite a few features that merit an update.  What’s more interesting is that 6.20 TN-C is now signed, meaning it


Install Signed 6.35 Hen PRO + Prometheus ISO loader on your PSP

Great news for PSP users running 6.35, you can now install 6.35 Hen without running the Minna no Sukkuri demo exploit as instructed in the original post.  With Liquidzigong’s release of a signed 6.35


Install 6.35 Hen + Prometheus ISO loader on your PSP

If your PSP is on 6.35 OFW, don’t fret, there’s still the 6.35 Hen available for your system and the Prometheus ISO loader that will allow you to play those free PSP games.


Install 6.31 Hen + Prometheus ISO loader on your PSP

PSP owners with 6.31 OFW can now have cfw installed courtesy of the 6.31 Hen, 6.31 hbl by wololo and the Prometheus ISO loader.  Note that if you’re on 6.20 OFW, follow this guide


Install 6.20 TN-A Hen and Prometheus ISO loader on your PSP

Thanks to the efforts of Wololo and Liquidzigong, PSP-3000, PSP-2000 with TA-v88v3 motherboard or PSP Go owners can now have custom firmware (well it’s pseudo-cfw.. it’s actually HBL + ISO loader but let’s call


Install PSP Custom Firmware 5.00 M33 Prometheus add-on

With 5.03 GEN-C and 5.50 GEN-D3 getting their own respective Prometheus (5.50 GEN Prometheus and 5.03 GEN Prometheus) plugins that will allow them to play games that require Sony’s 6.20 OFW and above, can


Install PSP Custom Firmware 5.50 GEN-D3

Then GEN team pushes another update, to it’s popular CFW, 5.50 GEN-D3 that introduces several bugfixes from the previous releases as well as introduces better compatibility for games and plugins. Do note that 5.50


Installing Dissidia Duodecim’s DLC on your PSP

Yep. And I thought there was really no other way that to get Dissidia Duodecim DLCs aside from the PSN. Looks like the community wins again. Here’s a quick guide on getting Final Fantasy Dissidia


ISO tool Patching Guide

This guide will teach you how to use Taka’s ISO tool to patch games newer games that require 6.20 OFW and above so that they’ll work with older firmwares. Important Note: that


PSP OFW 6.38 now available

Sony has released another firmware update for the PSP.  PSP 6.38 OFW is now available for download.  Like 6.37 OFW, it’s unadvisable to upgrade. The PSP Firmware 6.38 changelog reads: This is a minor update that


Install 6.35 Pro-A (and 6.35 Pro-A1) LCFW on your PSP

Great news for 6.35 Hen and Signed 6.35 Hen users, Virtuous Flame has taken his Hen 6.35 PRO release with 6.35 Pro-A, a CFW for Hen or to make things simple: a LCFW (loaded


Install PSP Custom Firmware 5.03 GEN-C via ChickHEN R2

True to their word, the GEN Team has now released Custom Firmware 5.03 GEN-C. It’s an update to their existing line of 5.03-based firmwares (5.03 GEN-A and 5.03 GEN-B) that will allow you


Install PSP Custom Firmware 5.03 GEN-B via ChickHEN R2

The release of Custom Firmware 5.50 GEN-D gave hackable PSPs the ability to play PSP games that require 5.55 ofw and up without the need to patch the game.  This is now available to


Play games that require OFW 5.55 and 6.00

So you’ve tried the version.txt hack and it didn’t turn out well (in short, it didn’t work for you). It’s admittedly a hit or miss bypass since not all games relied on checking


Install PSP Custom Firmware 5.03 GEN-A via ChickHEN R2

Homebrew can now run on the PSP-3000 or PSP-2000 with TA-088v3 thanks to PSPGEN and Team Typhoon.  The chickHen hack allows you to run Homebrew on both PSP models and custom firmware 5.03 Gen-A


Install ChickHen R2 on your PSP

Thanks to Davee and Team typhoon, custom firmware can now run on PSP-3000 or PSP-2000 with TA-088v3 via the chickHen hack.  Using chickHen(or in this case ChickHen R2), you can run custom firmware to


website stats